View Issue Details

IDProjectCategoryView StatusLast Update
0026073mantisbtemailpublic2019-10-07 16:52
ReporterMarnix Assigned Todregad  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.21.1 
Summary0026073: Class 'PHPMailer\PHPMailer\PHPMailer' not found when resetting password
Description

Upgrade from 2.16 to 2.21.1 and having problems when resetting password.
I get an 'INTERNAL APPLICATION ERROR' and the email is not send.

$g_phpMailer_method     = PHPMAILER_METHOD_SMTP;
$g_smtp_host            = 'smtp.office365.com';

Quickfix:
I have replaced the file \core\email_api.php with the old version from 2.16.
Now it works.

Also, maybe a related problem:
When changing user state from disabled to enabled i also getting this error.
Quickfix:
changed configuration '$g_validate_email' from ON to OFF (using the original \core\email_api.php file).

TagsNo tags attached.

Activities

dregad

dregad

2019-08-24 16:17

developer   ~0062642

I can't reproduce the error. This tracker is also using SMTP to send e-mail, and everything works as expected; same on my dev box. Maybe it's something specific to your environment ?

Additional, debugging information is needed to help understanding the problem. Please follow these steps:

  1. temporarily configure your system as follows:
    $g_display_errors = array(
    E_WARNING => 'halt',
    E_NOTICE => 'halt',
    E_USER_ERROR => 'halt',
    E_USER_WARNING => 'halt',
    E_USER_NOTICE => 'halt'
    );
    $g_show_detailed_errors = ON;

WARNING - SECURITY RISK: the 'show_detailed_errors' config can cause MantisBT to display sensitive information about your system. We recommend to restrict its activation to a Test environment, only for as long as necessary. If possible, do not turn it ON globally, instead limit it for specific user(s) using the Manage Configuration page.

  1. Reproduce the error

If the output does not help you resolving the issue and you need further assistance,

  1. save the output of the error screen, preferably as an HTML page (not a screenshot !)
  2. be careful to remove/mask any confidential information if needed
  3. upload the results here
atrol

atrol

2019-08-25 04:48

developer   ~0062644

Same for me, I was not able to reproduce

Upgrade from 2.16 to 2.21.1

Maybe @Marnix you don't use the official download, but upgrade based on source on Github.
If so, don't forget to run composer install after fetching latest source to upgrade Mantis 3rd party compoenents, e.g. PHPMailer.

atrol

atrol

2019-09-09 17:29

developer   ~0062757

Marnix,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

Issue History

Date Modified Username Field Change
2019-08-24 06:28 Marnix New Issue
2019-08-24 16:17 dregad Status new => feedback
2019-08-24 16:17 dregad Note Added: 0062642
2019-08-25 04:48 atrol Note Added: 0062644
2019-09-09 17:29 atrol Assigned To => dregad
2019-09-09 17:29 atrol Status feedback => resolved
2019-09-09 17:29 atrol Resolution open => no change required
2019-09-09 17:29 atrol Note Added: 0062757
2019-10-07 16:52 atrol Status resolved => closed